src/turb/cs_les_inflow.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
cs_les_inflow.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_base.h"`
`#include "cs_field.h"`
`#include "cs_field_pointer.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_prototypes.h"`
`#include "cs_timer.h"`
`#include "cs_mesh_location.h"`
`#include "cs_restart.h"`
`#include "cs_les_inflow.h"`
Include dependency graph for cs_les_inflow.c:

## Macros
#define | EPZERO 1.E-12
#define | RINFIN 1.E+30
#define | HUGE_VAL 1.E+12
#define | _MODULE_3D(module_u, u) ( module_u = sqrt((u)[0]*(u)[0] + (u)[1]*(u)[1] + (u)[2]*(u)[2]) )
#define | _DOT_PRODUCT_3D(dot_u_v, u, v) ( dot_u_v = (u)[0]*(v)[0] + (u)[1]*(v)[1] + (u)[2]*(v)[2] )
#define | _CROSS_PRODUCT_3D(cross_u_v, u, v)
#define | _TENSOR_TRACE_3D(trace_t, t) ( trace_t = (t)[0] + (t)[1] + (t)[2] )
#define | _INNER_PRODUCT_3D(inner_u_t_v, u, t, v)

## Functions
void | defsyn (cs_int_t *n_inletsCS_ARGF_SUPP_CHAINE)
void | synthe (const cs_int_t *const nvar, const cs_int_t *const nscal, const cs_int_t *const iu, const cs_int_t *const iv, const cs_int_t *const iw, const cs_real_t *const ttcabs, const cs_real_t dt[], const cs_real_t rtpa[], const cs_real_t rtp[], const cs_real_t propce[], cs_real_t rcodcl[]CS_ARGF_SUPP_CHAINE)
void | lecsyn (const char *const filnam, const cs_int_t *const lngnam CS_ARGF_SUPP_CHAINE)
void | ecrsyn (const char *const filnam, const cs_int_t *const lngnam CS_ARGF_SUPP_CHAINE)
void | cs_inflow_finalize (void)

## Variables
const char * | cs_inflow_type_name []

## Macro Definition Documentation

#define _CROSS_PRODUCT_3D | ( |  | cross_u_v,
|  |  | u,
|  |  | v
| ) |  |

Value:
( (cross_u_v)[0] = (u)[1]*(v)[2] - (u)[2]*(v)[1], \
(cross_u_v)[1] = (u)[2]*(v)[0] - (u)[0]*(v)[2], \
(cross_u_v)[2] = (u)[0]*(v)[1] - (u)[1]*(v)[0] )

#define _DOT_PRODUCT_3D | ( |  | dot_u_v,
|  |  | u,
|  |  | v
| ) |  | ( dot_u_v = (u)[0]*(v)[0] + (u)[1]*(v)[1] + (u)[2]*(v)[2] )

#define _INNER_PRODUCT_3D | ( |  | inner_u_t_v,
|  |  | u,
|  |  | t,
|  |  | v
| ) |  |

Value:
( inner_u_t_v = \
(u)[0]*(t)[0]*(v)[0] + (u)[0]*(t)[3]*(v)[1] + (u)[0]*(t)[4]*(v)[2] \
+ (u)[1]*(t)[3]*(v)[0] + (u)[1]*(t)[1]*(v)[1] + (u)[1]*(t)[5]*(v)[2] \
+ (u)[2]*(t)[4]*(v)[0] + (u)[2]*(t)[5]*(v)[1] + (u)[2]*(t)[2]*(v)[2] )

#define _MODULE_3D | ( |  | module_u,
|  |  | u
| ) |  | ( module_u = sqrt((u)[0]*(u)[0] + (u)[1]*(u)[1] + (u)[2]*(u)[2]) )

#define _TENSOR_TRACE_3D | ( |  | trace_t,
|  |  | t
| ) |  | ( trace_t = (t)[0] + (t)[1] + (t)[2] )

#define EPZERO 1.E-12

#define HUGE_VAL 1.E+12

#define RINFIN 1.E+30

## Function Documentation

void cs_inflow_finalize | ( | void |  | ) |

void defsyn | ( | cs_int_t *n_inlets | CS_ARGF_SUPP_CHAINE | ) |

void ecrsyn | ( | const char *const | filnam,
|  | const cs_int_t *const lngnam | CS_ARGF_SUPP_CHAINE
| ) |  |

void lecsyn | ( | const char *const | filnam,
|  | const cs_int_t *const lngnam | CS_ARGF_SUPP_CHAINE
| ) |  |

void synthe | ( | const cs_int_t *const | nvar,
|  | const cs_int_t *const | nscal,
|  | const cs_int_t *const | iu,
|  | const cs_int_t *const | iv,
|  | const cs_int_t *const | iw,
|  | const cs_real_t *const | ttcabs,
|  | const cs_real_t | dt[],
|  | const cs_real_t | rtpa[],
|  | const cs_real_t | rtp[],
|  | const cs_real_t | propce[],
|  | cs_real_t rcodcl[] | CS_ARGF_SUPP_CHAINE
| ) |  |

## Variable Documentation

const char* cs_inflow_type_name[]

Initial value:
= {"Laminar",
"Random",
"Batten",
"SEM"}